﻿local addonName, addon = ...
local L = addon
addon.version = GetAddOnMetadata(addonName, "Version")

function addon.CreateConfig()

	addon.panel = CreateFrame("Frame", addonName.."panel", UIParent)
	addon.panel.name = addonName
	InterfaceOptions_AddCategory(addon.panel)

	addon.title = addon.panel:CreateFontString(nil, "ARTWORK", "GameFontNormalLarge")
	addon.title:SetPoint("TOPLEFT", 16, -16)
	addon.title:SetText(addonName)

	addon.subtitle = addon.panel:CreateFontString(nil, "ARTWORK", "GameFontHighlightSmall")
	addon.subtitle:SetPoint("TOPLEFT", addon.title, "BOTTOMLEFT", 0, -8)
	addon.subtitle:SetNonSpaceWrap(true)
	addon.subtitle:SetText("Version"..addon.version)
	
	addon.subtitle1 = addon.panel:CreateFontString(nil, "ARTWORK", "GameFontNormal")
	addon.subtitle1:SetPoint("TOPLEFT", addon.subtitle, "BOTTOMLEFT", 0, -20)
	addon.subtitle1:SetText(L["Cooldowns frame configuration"])
	
	
	local p1 = addon.panel
	----------------------------------
	-- main frame config start
	----------------------------------
	p1.checkbox1 = CreateFrame("CheckButton", addonName.."p1_checkbox1", p1, "ChatConfigCheckButtonTemplate")
	p1.checkbox1:SetPoint("TOPLEFT", addon.subtitle1, "BOTTOMLEFT", 10, -20)
	_G[p1.checkbox1:GetName().."Text"]:SetText(L["Set movable"])
	_G[p1.checkbox1:GetName().."Text"]:SetPoint("LEFT",  p1.checkbox1, "RIGHT", 3, 1)
	p1.checkbox1.tooltip = L["Click to make frame movable"]
	p1.checkbox1:Show()
	p1.checkbox1:SetScript("OnClick", function(self, button, down)
		if  p1.checkbox1:GetChecked() then
			addon.sv.global.Movable = true
		else
			addon.sv.global.Movable = false
		end
		addon.HandleOptions("Movable")
	end)
	
	p1.checkbox2 = CreateFrame("CheckButton", addonName.."p1_checkbox2", p1, "ChatConfigCheckButtonTemplate")
	p1.checkbox2:SetPoint("TOPLEFT", p1.checkbox1, "BOTTOMLEFT", 0, -30)
	_G[p1.checkbox2:GetName().."Text"]:SetText(L["Show allies cd's"])
	_G[p1.checkbox2:GetName().."Text"]:SetPoint("LEFT",  p1.checkbox2, "RIGHT", 3, 1)
	p1.checkbox2.tooltip = L["Click to show friendly units cd's"]
	p1.checkbox2:Show()
	
	p1.checkbox3 = CreateFrame("CheckButton", addonName.."p1_checkbox3", p1, "ChatConfigCheckButtonTemplate")
	p1.checkbox3:SetPoint("TOPLEFT", p1.checkbox2, "BOTTOMLEFT", 20, -15)
	_G[p1.checkbox3:GetName().."Text"]:SetText(L["Only allies"])
	_G[p1.checkbox3:GetName().."Text"]:SetPoint("LEFT",  p1.checkbox3, "RIGHT", 3, 1)
	p1.checkbox3.tooltip = L["Click to show only friendly units cd's"]
	p1.checkbox3:Show()
	p1.checkbox3:SetScript("OnClick", function(self, button, down)
		if  p1.checkbox3:GetChecked() then
			addon.sv.global.onlyFriendly = true
		else
			addon.sv.global.onlyFriendly = false
		end
		--addon.HandleOptions("onlyFriendly")
	end)
	
	p1.checkbox4 = CreateFrame("CheckButton", addonName.."p1_checkbox4", p1, "ChatConfigCheckButtonTemplate")
	p1.checkbox4:SetPoint("TOPLEFT", p1.checkbox2, "BOTTOMLEFT", 0, -60)
	_G[p1.checkbox4:GetName().."Text"]:SetText(L["Reset cd's in PvP zone"])
	_G[p1.checkbox4:GetName().."Text"]:SetPoint("LEFT",  p1.checkbox4, "RIGHT", 3, 1)
	p1.checkbox4.tooltip = L["Click to reset enemies cd's every you enter in arena or battleground"]
	p1.checkbox4:Show()
	p1.checkbox4:SetScript("OnClick", function(self, button, down)
		if  p1.checkbox4:GetChecked() then
			addon.sv.global.Reset = true
		else
			addon.sv.global.Reset = false
		end
		addon.HandleOptions("Reset")
	end)
	
	p1.checkbox5 = CreateFrame("CheckButton", addonName.."p1_checkbox5", p1, "ChatConfigCheckButtonTemplate")
	p1.checkbox5:SetPoint("TOPLEFT", p1.checkbox4, "BOTTOMLEFT", 0, -30)
	_G[p1.checkbox5:GetName().."Text"]:SetText(L["Show cooldown spiral"])
	_G[p1.checkbox5:GetName().."Text"]:SetPoint("LEFT",  p1.checkbox5, "RIGHT", 3, 1)
	p1.checkbox5.tooltip = L["Click to show the dark spirals you normally see on buttons when on cooldown"]
	p1.checkbox5:Show()
	
	
	p1.checkbox6 = CreateFrame("CheckButton", addonName.."p1_checkbox6", p1, "ChatConfigCheckButtonTemplate")
	p1.checkbox6:SetPoint("TOPLEFT", p1.checkbox5, "BOTTOMLEFT", 20, -15)
	_G[p1.checkbox6:GetName().."Text"]:SetText(L["Display time in numbers"])
	_G[p1.checkbox6:GetName().."Text"]:SetPoint("LEFT",  p1.checkbox6, "RIGHT", 3, 1)
	p1.checkbox6.tooltip = L["Click to display the duratation in numbers (better disable this option if you use addons like OmniCC)"]
	p1.checkbox6:Show()
	p1.checkbox6:SetScript("OnClick", function(self, button, down)
		if  p1.checkbox6:GetChecked() then
			addon.sv.global.Timer = true
		else
			addon.sv.global.Timer = false
		end
		addon.HandleOptions("Timer")
	end)
	
	p1.slider = CreateFrame("Slider", addonName.."slider1", p1, "OptionsSliderTemplate")
	p1.slider:SetPoint("TOPLEFT", p1.checkbox6, "BOTTOMLEFT", -10, -50)
	_G[p1.slider:GetName().."Text"]:SetText(L["Frame scale: "] .. string.format("%.0f", addon.sv.global.Scale*100).."%")
	p1.slider.tooltipText = L["Drag to set frame scale"]
	_G[p1.slider:GetName().."Low"]:SetText("50%")
	_G[p1.slider:GetName().."High"]:SetText("200%")
	p1.slider:SetWidth(175)
	p1.slider:SetMinMaxValues(0.5, 2)
	p1.slider:SetValue(addon.sv.global.Scale)
	p1.slider:SetValueStep(0.1)
	p1.slider:SetScript("OnValueChanged", function(self, value)
		addon.sv.global.Scale = value
		_G[p1.slider:GetName().."Text"]:SetText(L["Frame scale: "] .. string.format("%.0f", value*100).."%")
		addon.HandleOptions("Size")
	end)
	
	p1.checkbox2:SetScript("OnClick", function(self, button, down)
		if  p1.checkbox2:GetChecked() then
			addon.sv.global.Friendly = true
			p1.checkbox3:Enable()
		else
			addon.sv.global.Friendly = false
			p1.checkbox3:Disable()
		end
	end)
	
	p1.checkbox5:SetScript("OnClick", function(self, button, down)
		if  p1.checkbox5:GetChecked() then
			addon.sv.global.Cooldown = true
			p1.checkbox6:Enable()
			addon.sv.global.Timer = p1.checkbox6:GetChecked()
		else
			addon.sv.global.Cooldown = false
			p1.checkbox6:Disable()
			addon.sv.global.Timer = true
		end
		addon.HandleOptions("Cooldown")
		addon.HandleOptions("Timer")
	end)
	
	----------------------------------
	-- main frame config end
	----------------------------------
	
	
end
